#!/usr/bin/perl -I/usr/sausalito/perl
#
# Copyright (c) 2000 Cobalt Networks

use CCE;
my $cce = new CCE;
my $conf = '/var/lib/cobalt';

$cce->connectuds();
my @oids = $cce->find('Package', {'name' => 'OS' });
if ($#oids < 0) {
    my (%rpms, $rpmlist);

    # snarf in package list. avoid duplicates
    if (open(CONF, $conf)) {
	while (<CONF>) {
		next if /^\s*#/;
		next unless /\S/;
		next if /^\S+:/;
		$rpms{"$1-$2"} = 1 if /^(\S+)\s+(\S+)/;
	}
	close(CONF);
    }

    $rpmlist = $cce->array_to_scalar(keys %rpms);
    $cce->create('Package', { 'name' => 'OS',
			      'version' => 'v6.5',
			      'vendor' => 'Cobalt',
			      'nameTag' => '[[base-monterey.osName]]',
			      'vendorTag' => '[[base-monterey.osVendor]]',
			      'shortDesc' => '[[base-monterey.osDescription]]',
			      'new' => '', 'installState' => 'Installed',
			      'RPMList' => $rpmlist
			  });
    my ($sysoid) = $cce->find('System');
    $cce->set($sysoid, 'SWUpdate', { 'rpmsInstalled' => 
				     $cce->array_to_scalar(%rpms) });
}
$cce->bye();
exit 0;
